<?php

namespace coconana\Core;

class App {
 
    private $controller = 'home';
    private $method = 'index';
    private $params = array();
    
    function __construct($config) { 
        
        $url = isset($_GET['url']) ? explode('/', filter_var(rtrim($_GET['url'], '/'), FILTER_SANITIZE_URL)) : null;
        if(file_exists('../app/controller/' . strtolower($url[0]) . '.php')) 
        
            $this->controller = strtolower(array_shift($url));
        
        require_once '../app/controller/' . $this->controller . '.php';
        
        if(isset($url[0]))
            
            if(method_exists($this->controller, $url[0]))
            
                $this->method = array_shift($url);

        $this->params = empty($url) ? array() : $url;
        call_user_func_array(array(new $this->controller, $this->method), $this->params);
       
    }
    
}

class Controller {
	
    protected $title = 'Coconana Stuidios';
	
}