$(function() {

    $('a#d').click(function() {
    
        a();
        
    });

});

function a() {
    if($('header').css('height') === '32px')
        $('header').animate({'height':'100%'}, 800);
    else    
        $('header').animate({'height':'32px'}, 800);
}

function b() {
}

function init() {
    
    gapi.client.setApiKey('AIzaSyC_ytx5PRsObB9kRjX39mV9yQSAQeuXz9c');
        
    var script = document.createElement('script');
    script.src = 'https://www.youtube.com/iframe_api';    
    $('head').append(script);
    
    init = true;
    
    if(location.search.split('yt=')[1] != null)
        
        if(!player)
            
            setTimeout(function() {
                
                var source = new Source('yt', location.search.split('yt=')[1], 4, 0, 0);
                
                player = new Player(source);
                
            }, 1000);
    
}

function Source(type, id, quality, start, end) {
 
    this.type = (type === 'yt' || type === 'sc' ? type : '');
    this.id = id;
    this.quality = (quality < 4 || quality > 0 ? quality : 0);
    if(start) this.start = start;
    if(end) this.end = end;
    
}

function Player(source) {
 
    this.source = [source];
    this.loop = false;
    this.loopList = false;
    this.random = false;
    
    if(source.type === 'yt')
     
        if(init)
         
            this.ytPlayer = new YT.Player('ytPlayer', {
            
                height: '135px',
                width: '240px',
                videoId: source.id,
                playerVars: {
             
                    'controls': 0,
                    'rel': 0,
                    'showinfo': 0,
                    'iv_load_policy': 3,
                    'autoplay': 1
                
                },
                events: {
                
                    'onStateChange': onPlayerStateChange
                
                }
            
            });
            
        else {
            
            //error
            this.ytPlayer = null;
            return;
            
        }

    else if(source.type === 'sc')
        
        alert('sc');
        
    else
        
        //error
        return;
    
    if(!!(window.history && history.pushState))
        
        window.history.pushState(null, null, 'index.php?' + source.type + '=' + source.id);
    
}

Player.prototype.play = function(source) {
 
    if(source.type === 'yt')
        
        if(this.ytPlayer != null) {
            
            if(source.end > 0 && source.start < source.end)
            
                this.ytPlayer.loadVideoById({
                
                    'videoId': source.id,
                    'startSeconds': source.start,
                    'endSeconds': source.end,
                    'suggestedQuality': 'large'
                
                });
            
            else
                
                this.ytPlayer.loadVideoById(source.id);
            
        }
        
    else if(source.type === 'sc')
        
        alert('sc');
        
    else
        
        //error
        return;
    
    if(!!(window.history && history.pushState))
        
        window.history.pushState(null, null, 'index.php?' + source.type + '=' + source.id);
    
}

function onPlayerStateChange(event) {
 
    if(event.data === 0)
        
        if(player.loop)
            
            player.play(player.play(player.source[0]));
    
        else if(player.source.length > 0) {
            
            var index = 0;
            
            if(player.random)
             
                index = Math.floor(Math.random() * player.source.length);
            
            var source = player.source[index];
            player.source.splice(index, 1);
            
            if(player.loopList)
                
                player.source.push(source);
            
            player.play(player.source[0]);
            
        }
    
}